> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Deposit with Supporting Trans

> Show a Deposit from Merchant Account with supporting transactions



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/deposit/show
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/deposit/show:
    get:
      tags:
        - Deposit management
      summary: Show Deposit with Supporting Trans
      description: Show a Deposit from Merchant Account with supporting transactions
      operationId: showDepositWithSupportingTrans
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: number
                      description: >-
                        The <code>sid</code> of an existing record in the
                        companies table.
                      example: 4326.41688
                    transaction_info_id:
                      type: string
                      description: >-
                        Required if not passing sweep_id. Must be unique to the
                        Merchant and less than 150 digits.
                      example: '91828382'
                    sweep_id:
                      type: string
                      description: >-
                        Required if not passing transaction_info_id. Must be in
                        format: "YYYY-mm-dd 00:00:00"
                      example: '"2024-04-01 00:00:00"'
                  required:
                    - sid
                    - transaction_info_id
              required:
                - data
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Successful Transaction
                    type: object
                    example:
                      data:
                        sid: XXXXX
                        transaction_info_id: '983999999'
                        transaction_id: '382'
                        transaction_date: '2024-05-01T04:00:00.000000Z'
                        fund_date: '2024-05-01 02:20:35'
                        type: withdraw_funds
                        countOfTransactions: 3
                        transTotal: '545.98'
                        transactions:
                          - transaction_type: ACH
                            transaction_status: ACH_PAYMENT_CREDIT
                            transaction_status_description: >-
                              Successfully completed ACH Payment that has been
                              posted to the Escrow Account.
                            transaction_number: '369'
                            transaction_date: '2024-04-29T08:30:25.000000Z'
                            fund_date: '2024-04-30T20:05:21.000000Z'
                            settle_date: '2024-04-29T17:51:02.000000Z'
                            amount: '369.0000'
                            description: ''
                            status_code: ''
                            status_text: ''
                            email: ''
                            phone: ''
                            customer_uuid: ''
                            multi_use_token: ''
                            pending: false
                            transaction_info_id: '123123212312'
                            parent_transaction_info_id: '123123212314'
                            billing_address:
                              first_name: null
                              last_name: null
                              addr1: null
                              addr2: null
                              city: null
                              state: null
                              zip: null
                          - transaction_type: CC
                            transaction_status: CC_CREDIT
                            transaction_status_description: >-
                              Successful credit/debit card transaction that
                              brings funds into the ProPay Account.
                            transaction_number: '1919162951'
                            transaction_date: '2024-04-29T08:37:29.000000Z'
                            fund_date: '2024-04-30T20:05:22.000000Z'
                            settle_date: '2024-05-07T11:30:03.000000Z'
                            amount: '103.0800'
                            description: ''
                            status_code: ''
                            status_text: ''
                            email: ''
                            phone: ''
                            customer_uuid: ''
                            multi_use_token: ''
                            pending: false
                            transaction_info_id: '123123212312'
                            parent_transaction_info_id: '123123212314'
                            billing_address:
                              first_name: null
                              last_name: null
                              addr1: null
                              addr2: null
                              city: null
                              state: null
                              zip: null
                          - transaction_type: CC
                            transaction_status: CC_CREDIT
                            transaction_status_description: >-
                              Successful credit/debit card transaction that
                              brings funds into the ProPay Account.
                            transaction_number: '1920383851'
                            transaction_date: '2024-04-29T11:52:43.000000Z'
                            fund_date: '2024-04-30T20:05:22.000000Z'
                            settle_date: '2024-05-07T11:30:03.000000Z'
                            amount: '82.5200'
                            description: ''
                            status_code: ''
                            status_text: ''
                            email: ''
                            phone: ''
                            customer_uuid: ''
                            multi_use_token: ''
                            pending: false
                            transaction_info_id: '123123212314'
                            billing_address:
                              first_name: null
                              last_name: null
                              addr1: null
                              addr2: null
                              city: null
                              state: null
                              zip: null
                    properties:
                      data:
                        type: object
                        properties:
                          sid:
                            type: string
                            example: XXXXX
                            description: Merchant's sid that was requested.
                          transaction_info_id:
                            type: string
                            example: '983999999'
                            description: The transaction_info_id of the deposit.
                          transaction_id:
                            type: string
                            example: '382'
                            description: The transaction_id of the deposit.
                          transaction_date:
                            type: string
                            example: '2024-05-01T04:00:00.000000Z'
                            description: The date of the deposit.
                          fund_date:
                            type: string
                            example: '2024-05-01 02:20:35'
                            description: The date of the deposit.
                          type:
                            type: string
                            example: withdraw_funds
                            description: >-
                              The type of the deposit will be either add_funds
                              or withdraw_funds. The type of add_funds occurs
                              when the escrow account needs to be replenished
                              from the merchant's bank account to provide
                              returns or refunds to the customer. The type of
                              withdraw_funds occurs when money is moved from the
                              escrow account to the merchant's bank account.
                          countOfTransactions:
                            type: integer
                            example: 3
                            description: The number of transactions in the deposit.
                          transTotal:
                            type: string
                            example: '545.98'
                            description: The total amount sent to the bank.
                          transactions:
                            type: array
                            example:
                              - transaction_type: ACH
                                transaction_status: ACH_PAYMENT_CREDIT
                                transaction_status_description: >-
                                  Successfully completed ACH Payment that has
                                  been posted to the Escrow Account.
                                transaction_number: '369'
                                transaction_date: '2024-04-29T08:30:25.000000Z'
                                fund_date: '2024-04-30T20:05:21.000000Z'
                                settle_date: '2024-04-29T17:51:02.000000Z'
                                amount: '369.0000'
                                description: ''
                                status_code: ''
                                status_text: ''
                                email: ''
                                phone: ''
                                customer_uuid: ''
                                multi_use_token: ''
                                pending: false
                                transaction_info_id: '123123212312'
                                parent_transaction_info_id: '123123212314'
                                billing_address:
                                  first_name: null
                                  last_name: null
                                  addr1: null
                                  addr2: null
                                  city: null
                                  state: null
                                  zip: null
                              - transaction_type: CC
                                transaction_status: CC_CREDIT
                                transaction_status_description: >-
                                  Successful credit/debit card transaction that
                                  brings funds into the ProPay Account.
                                transaction_number: '1919162951'
                                transaction_date: '2024-04-29T08:37:29.000000Z'
                                fund_date: '2024-04-30T20:05:22.000000Z'
                                settle_date: '2024-05-07T11:30:03.000000Z'
                                amount: '103.0800'
                                description: ''
                                status_code: ''
                                status_text: ''
                                email: ''
                                phone: ''
                                customer_uuid: ''
                                multi_use_token: ''
                                pending: false
                                transaction_info_id: '123123212312'
                                parent_transaction_info_id: '123123212314'
                                billing_address:
                                  first_name: null
                                  last_name: null
                                  addr1: null
                                  addr2: null
                                  city: null
                                  state: null
                                  zip: null
                              - transaction_type: CC
                                transaction_status: CC_CREDIT
                                transaction_status_description: >-
                                  Successful credit/debit card transaction that
                                  brings funds into the ProPay Account.
                                transaction_number: '1920383851'
                                transaction_date: '2024-04-29T11:52:43.000000Z'
                                fund_date: '2024-04-30T20:05:22.000000Z'
                                settle_date: '2024-05-07T11:30:03.000000Z'
                                amount: '82.5200'
                                description: ''
                                status_code: ''
                                status_text: ''
                                email: ''
                                phone: ''
                                customer_uuid: ''
                                multi_use_token: ''
                                pending: false
                                transaction_info_id: '123123212314'
                                billing_address:
                                  first_name: null
                                  last_name: null
                                  addr1: null
                                  addr2: null
                                  city: null
                                  state: null
                                  zip: null
                            description: >-
                              containing any transactions supporting the
                              deposit.
                            items:
                              type: object
                              properties:
                                transaction_type:
                                  type: string
                                  example: ACH
                                  description: >-
                                    The type of transaction. Request a listing
                                    from developer support if unaware of
                                    options.
                                transaction_status:
                                  type: string
                                  example: ACH_PAYMENT_CREDIT
                                  description: >-
                                    The status of the transaction. Request a
                                    listing from developer support if unaware of
                                    options.
                                transaction_status_description:
                                  type: string
                                  example: >-
                                    Successfully completed ACH Payment that has
                                    been posted to the Escrow Account.
                                  description: The description of the transaction status..
                                transaction_number:
                                  type: string
                                  example: '369'
                                  description: The transaction number.
                                transaction_date:
                                  type: string
                                  example: '2024-04-29T08:30:25.000000Z'
                                  description: The date of the transaction.
                                fund_date:
                                  type: string
                                  example: '2024-04-30T20:05:21.000000Z'
                                  description: The date of the transaction.
                                settle_date:
                                  type: string
                                  example: '2024-04-29T17:51:02.000000Z'
                                  description: The date of the transaction.
                                amount:
                                  type: string
                                  example: '369.0000'
                                  description: The gross amount of the transaction.
                                description:
                                  type: string
                                  example: ''
                                  description: The description of the transaction.
                                status_code:
                                  type: string
                                  example: ''
                                  description: The status code of the transaction.
                                status_text:
                                  type: string
                                  example: ''
                                  description: The status text of the transaction.
                                email:
                                  type: string
                                  example: ''
                                  description: The email of the transaction.
                                phone:
                                  type: string
                                  example: ''
                                  description: The phone of the transaction.
                                customer_uuid:
                                  type: string
                                  example: ''
                                  description: The customer uuid of the transaction.
                                multi_use_token:
                                  type: string
                                  example: ''
                                  description: The multi use token of the transaction.
                                pending:
                                  type: boolean
                                  example: false
                                  description: The pending status of the transaction.
                                transaction_info_id:
                                  type: string
                                  example: '123123212312'
                                  description: >-
                                    The transaction's info id that can be used
                                    in requests to other API endpoints to look
                                    up a specific transaction.
                                parent_transaction_info_id:
                                  type: string
                                  example: '123123212314'
                                  description: >-
                                    The transaction's info id that can be used
                                    in requests to other API endpoints to look
                                    up a specific transaction.
                                billing_address:
                                  type: object
                                  properties:
                                    first_name:
                                      type: string
                                      example: null
                                      description: The first name of the billing address.
                                    last_name:
                                      type: string
                                      example: null
                                      description: The last name of the billing address.
                                    addr1:
                                      type: string
                                      example: null
                                      description: The address 1 of the billing address.
                                    addr2:
                                      type: string
                                      example: null
                                      description: The address 2 of the billing address.
                                    city:
                                      type: string
                                      example: null
                                      description: The city of the billing address.
                                    state:
                                      type: string
                                      example: null
                                      description: The state of the billing address.
                                    zip:
                                      type: string
                                      example: null
                                      description: The zip of the billing address.
                  - description: Empty Response
                    type: object
                    example: {}
                    properties: {}
        '400':
          description: Field Validation Failed
          content:
            application/json:
              schema:
                type: object
                example:
                  errors:
                    data.sid:
                      - The data.sid is not the correct format.
                properties:
                  errors:
                    type: object
                    properties:
                      data.sid:
                        type: array
                        example:
                          - The data.sid is not the correct format.
                        items:
                          type: string
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Bad API Key Permission
                    type: object
                    example:
                      data.message: Permission Denied.
                    properties:
                      data.message:
                        type: string
                        example: Permission Denied.
                  - description: No such Merchant
                    type: object
                    example:
                      data.message: No Merchant found with SID provided.
                    properties:
                      data.message:
                        type: string
                        example: No Merchant found with SID provided.
                  - description: User perm issue
                    type: object
                    example:
                      data.message: User not associated with the affiliate.
                    properties:
                      data.message:
                        type: string
                        example: User not associated with the affiliate.
                  - description: Merchant not associated
                    type: object
                    example:
                      data.message: Merchant not associated with affiliate.
                    properties:
                      data.message:
                        type: string
                        example: Merchant not associated with affiliate.
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````